.\" $NetBSD: intro.4,v 1.10 2003/07/26 20:17:34 salo Exp $
.\"
.\" Copyright (c) 1997 Leo Weppelman
.\" Copyright (c) 1997 Jonathan Stone
.\" Copyright (c) 1994 Christopher G. Demetriou
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"          This product includes software developed for the
.\"          NetBSD Project.  See http://www.NetBSD.org/ for
.\"          information about NetBSD.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" <<Id: LICENSE,v 1.2 2000/06/14 15:57:33 cgd Exp>>
.\"
.Dd June 6, 2000
.Dt INTRO 4 atari
.Os
.Sh NAME
.Nm intro
.Nd introduction to atari special files and hardware support
.Sh DESCRIPTION
This section describes the special files, related driver functions,
and networking support
available in the system.
In this part of the manual, the
.Sx SYNOPSIS
section of
each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation;
see
.Xr syslogd 8
for more information.
.Pp
This section contains both devices
which may be configured into the system
and network related information.
The networking support is introduced in
.Xr netintro 4 .
.Sh LIST OF PLATFORMS SUPPORTED
Platforms supported by the atari port:
.Bl -tag -width Falcon -offset indent -compact
.It TT030
A standard TT030 model with at least 4Mb of RAM.
.It Falcon
A standard Falcon with at least 4Mb of RAM. An FPU is not required as the
default kernels include FP-emulation support.
.It Hades
A standard Hades with either an 040 or 060 processor and at least 8 Mb of RAM.
.El
.Sh DEVICE SUPPORT
This section describes the hardware supported on the atari
(atari-clone) platform.
Software support for these devices comes in two forms.  A hardware
device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Block and character devices are accessed through files in the file
system of a special type; see
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then compiled
into the system.  When the resultant system is booted, the
autoconfiguration facilities in the system probe for the device
and, if found, enable the software support for it.
If a device does not respond at autoconfiguration
time it is not accessible at any time afterwards.
To enable a device which did not autoconfigure,
the system must be rebooted.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
A list of the supported devices is given below.
.Sh LIST OF DEVICES
The devices listed below are supported in this incarnation of
the system.  Devices are indicated by their functional interface.
Not all supported devices are listed, not all devices exist on all models.
.Pp
Standard builtin devices:
.Bl -tag -width ncrscsi -offset indent -compact
.It clock
System clock
.It fd
Floppy device as found on the Falcon/TT030
.It grf
The standard internal video as found on the Falcon and TT030.
.It grfet
The et4000-PCI video as found on the HADES
.It hdfd
Floppy device as found on the Hades (NEC 765 compatible)
.It isa
ISA I/O bus (Hades only)
.It kbd
Standard keyboard
.It lpt
Parallel port device interface
.It mem
Main memory interface
.It ncrscsi
Onboard 5380 SCSI-bus
.It nvr
Non-volatile RAM interface
.It pci
PCI I/O bus (Hades only).
.It ser0
Serial1 (when connector available).
.It vme
VME I/O bus
.It wd
IDE interface (not on TT030)
.It zs0
Serial2 and modem2 ports.
.El
.Sh SEE ALSO
.Xr config 1 ,
.Xr autoconf 4 ,
.Xr netintro 4
.Sh HISTORY
The
.Tn atari
.Nm intro
appeared in
.Nx 1.3 .
